Billing
Enable or disable capped automatic top-ups
PUT
Enable or disable capped automatic top-ups
Authorizations
Create an API key in the console. Required when accounts are enabled.
Headers
Body
application/json
Response
Successful Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PUT \
--url https://console.sqwish.ai/v1/account/automatic-topup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"consent": true,
"enabled": true
}
'import requests
url = "https://console.sqwish.ai/v1/account/automatic-topup"
payload = {
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"consent": True,
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
threshold_usd: '<string>',
amount_usd: '<string>',
monthly_limit_usd: '<string>',
consent: true,
enabled: true
})
};
fetch('https://console.sqwish.ai/v1/account/automatic-topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"enabled": true,
"revision": 123,
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"monthly_used_usd": "<string>",
"resets_at": 123,
"card": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123
},
"status": "<string>",
"available": true,
"pending_purchase_id": "<string>",
"setup": {
"id": "<string>",
"status": "<string>",
"url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Create an API key in the console. Required when accounts are enabled.
Successful Response
Show child attributes
Show child attributes
curl --request PUT \
--url https://console.sqwish.ai/v1/account/automatic-topup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"consent": true,
"enabled": true
}
'import requests
url = "https://console.sqwish.ai/v1/account/automatic-topup"
payload = {
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"consent": True,
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
threshold_usd: '<string>',
amount_usd: '<string>',
monthly_limit_usd: '<string>',
consent: true,
enabled: true
})
};
fetch('https://console.sqwish.ai/v1/account/automatic-topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"enabled": true,
"revision": 123,
"threshold_usd": "<string>",
"amount_usd": "<string>",
"monthly_limit_usd": "<string>",
"monthly_used_usd": "<string>",
"resets_at": 123,
"card": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123
},
"status": "<string>",
"available": true,
"pending_purchase_id": "<string>",
"setup": {
"id": "<string>",
"status": "<string>",
"url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}